/***********************************************************************/
/* CSE142, 98 Autumn												   */
/* Homework 4														   */
/* The Rain God Game, Starring Professor Martin Dickey!				   */
/* Steve Martin														   */
/* Section AB														   */
/* Student #9821562													   */
/* Description:  In this program, take on the role of the great God    */
/* Martin Dickey, and discover that being omnipotent is NOT as easy as */
/* he makes it seem! :o)  Actually, you select types of precipitation  */
/* (from a menu on the left) and watch how your mortals react to your  */
/* actions.  Register your copy for 29.99 today! :o)				   */
/***********************************************************************/

/* INCLUDES */

#include "gp142.h"
#include <stdio.h>
#include <math.h>
#include <time.h>

/*DEFINES*/

#define TRUE    		1
#define FALSE   		0

/* Configure the appearance of the buttons on the menu bar */
/*number of pixels of button height and width*/
#define BUTTON_HEIGHT  	20
#define BUTTON_WIDTH 	120

/*change this if you add or delete buttons*/
#define NUM_BUTTONS 	8

/*color of letter on buttons*/
#define SELECTED_COLOR   YELLOW	 
#define UNSELECTED_COLOW BLACK
#define MAX_PRECIP_EVENTS	500

/*This is the total number of drops possible at one time.*/
/* y-ccordinate of the top of the "dirt" in the landscape*/
#define TOP_OF_DIRT (- 2 * (GP142_YMAX / 5))


/* For many of the GP142 functions, a line width of
zero means to fill the shape being drawn.*/
#define FILL 0

/* Types of precipitations we support */
#define NONE 0
#define RAIN 1
#define SNOW 2
#define ARM 3

/*if you add new types of percip, you may need to change this*/
#define MAX_PRECIP_TYPES 2

/*Possible places for mouse clicks*/
#define BUTTON 1
/*The above means you clicked on SOME button (doesn't say which one yet)*/
#define DIRT 2
/*The above means you clicked in the dirt area */

/*******************  FUNCTION PROTOTYPES **************************/

/*redraw all the buttons.
The parameters tell which button should be highlighted*/
void DrawButtons(int current_precip, int current_color, int which);

/*Draw opening screens */
void Opener(void);
void Opener2(void);
void Opener3(void);
void Opener4(void);
void Opener5(void);
void Opener6(void);
void Opener7(void);
void Opener8(void);
void Opener9(void);
void Opener10(void);
void Opener11(void);


/*Clear all percipitation, so the landscape is just as originally*/
int ClearAllPrecipitation(int precip_type);

/*render (draw) all the precipitation*/
void DrawAllPrecipitation(int precip_type, int bottom_x, int bottom_y, int precip_color, int counter);

/*Draws landscape, has a lot of params becuase there is a lot of animation going
on in it*/
void DrawLandscape(int sun_x, int sun_y, int sky_color, int cloud_x, int cloud_y, int person_x, int person_y, int person_x2, int i, int mood, int current_precip, int counter);

/*These are all called from DrawLandscape. . Steve's functions for drawing stuff. :o) */
void DrawTree(int a, int b, int x, int y); 
void DrawHouse(int a, int b, int x, int y);
void cloud(int x, int y);
void DrawPerson (int x, int y, int death, int counter, int mood);
void Happy (int happiness, int font_size, int x);

/*I never used this, but I left it in any way*/
void DrawPrecipColumn(int precip_type, int bottom_x, int bottom_y, int color);

/* All called from the DrawPrecipitation function. . . */
void DrawRainDrop (int x, int y, int color);
void DrawSnowDrop (int x, int y, int color);
void Fireball (int x, int y, int counter); /* Note: ARMEGEDDON! :o) */

/*Return an integer which tells what KIND of click there was */
int  ClassifyMouseClick(int mouse_x, int mouse_y);

/*Given that a button was click, call an appropriate function to handle it*/
void handle_button(int x, int y, int *current_precip, int *current_color, int *replant,
				   int *light_flag, int *which);

/*****************************************************************************/
/*																			 */
/*							MAIN											 */
/*																			 */
/*  main() has two chief purposes: to contain the important variables and    */
/*	initialize them, and to contain the "event loop," which constantly looks */
/*	to see if an event has happened, and then processes the event by calling */
/*	an appropriate function.												 */
/*****************************************************************************/

int main(void)
{
  
/* All of these variables are used later. . .*/	
	
  int quit = FALSE;
  int count = 0;
  int mouse_x, mouse_y;
  char key_hit;
  int cloud_x = -GP142_XMAX - 100;
  int cloud_y = 190;
  int person_x = 100;
  int person_x2 = 100;
  int person_y = -100;
  int sun_x =GP142_XMAX + 50, sun_y = GP142_YMAX - 250;
  int precip_type[300];
  int bottom_x[300];
  int bottom_y[300];
  int precip_color[300];
  int i = -1;
  int sky_color = ICE_BLUE;
  int which = 0;
  int mood = -20;
  int happiness = 0;
  int counter = 0;	

  int current_precip = NONE, current_color = NONE; /*what to draw next */
  
  /*This flag will be true if all weather should be cleared, likewise lightend*/
  int clear_flag = FALSE;
  int light_flag = FALSE;
  /*what kind of click was there?*/
  int mouse_click;

  int event; /*the most recent GP142 event*/

  time_t t; /*needed only when initializing a random number generator*/

  /*INITIALIZATIONS*/

      
  srand (time(&t));	  /* Seed the random number generator, even though I dont use it*/
	
  GP142_open();           /* Open and init the GP142 Graphics Window      */
  GP142_logging(LOG_OFF); /* Change to LOG_ON if you want it.             */

  GP142_clear();	      /* This will clear the window & paint it white. */
  GP142_animate(ANI_RUN); /* Start animation so precips will grow         */

  /*NOTE: !!!!  I saw similar code on other examples, but I truly came up with this idea
  on my own. */

  Opener(); /* Opening Screen1. . . Da da da dum! :o) This is something that was cooked up
			   to try and explain my wierd program. . . It's kinda a quasi-event loop that
			   allows the reader to see the screen before it is redrawn below.*/
  while (!quit) {    
   switch (GP142_await_event(&mouse_x, &mouse_y, &key_hit)) {
    
   case GP142_QUIT:
        quit = TRUE; /*allow the user to quit */          
        break;    
	
   case GP142_MOUSE: /* This just waits for a click anywhere */
        GP142_clear(); /* redraws the screen */

/*Slide II */

Opener2(); /* Opening Screen1. . . Da da da dum! :o) This is something that was cooked up
			   to try and explain my wierd program. . . It's kinda a quasi-event loop that
			   allows the reader to see the screen before it is redrawn below.*/
  while (!quit) {    
   switch (GP142_await_event(&mouse_x, &mouse_y, &key_hit)) {
    
   case GP142_QUIT:
        quit = TRUE; /*allow the user to quit */          
        break;    
	
   case GP142_MOUSE: /* This just waits for a click anywhere */
        GP142_clear(); /* redraws the screen */

/*Slide III*/

Opener3(); /* Opening Screen1. . . Da da da dum! :o) This is something that was cooked up
			   to try and explain my wierd program. . . It's kinda a quasi-event loop that
			   allows the reader to see the screen before it is redrawn below.*/
  while (!quit) {    
   switch (GP142_await_event(&mouse_x, &mouse_y, &key_hit)) {
    
   case GP142_QUIT:
        quit = TRUE; /*allow the user to quit */          
        break;    
	
   case GP142_MOUSE: /* This just waits for a click anywhere */
        GP142_clear(); /* redraws the screen */

Opener4(); /* Opening Screen1. . . Da da da dum! :o) This is something that was cooked up
			   to try and explain my wierd program. . . It's kinda a quasi-event loop that
			   allows the reader to see the screen before it is redrawn below.*/
  while (!quit) {    
   switch (GP142_await_event(&mouse_x, &mouse_y, &key_hit)) {
    
   case GP142_QUIT:
        quit = TRUE; /*allow the user to quit */          
        break;    
	
   case GP142_MOUSE: /* This just waits for a click anywhere */
        GP142_clear(); /* redraws the screen */

Opener5(); /* Opening Screen1. . . Da da da dum! :o) This is something that was cooked up
			   to try and explain my wierd program. . . It's kinda a quasi-event loop that
			   allows the reader to see the screen before it is redrawn below.*/
  while (!quit) {    
   switch (GP142_await_event(&mouse_x, &mouse_y, &key_hit)) {
    
   case GP142_QUIT:
        quit = TRUE; /*allow the user to quit */          
        break;    
	
   case GP142_MOUSE: /* This just waits for a click anywhere */
        GP142_clear(); /* redraws the screen */

Opener6(); /* Opening Screen1. . . Da da da dum! :o) This is something that was cooked up
			   to try and explain my wierd program. . . It's kinda a quasi-event loop that
			   allows the reader to see the screen before it is redrawn below.*/
  while (!quit) {    
   switch (GP142_await_event(&mouse_x, &mouse_y, &key_hit)) {
    
   case GP142_QUIT:
        quit = TRUE; /*allow the user to quit */          
        break;    
	
   case GP142_MOUSE: /* This just waits for a click anywhere */
        GP142_clear(); /* redraws the screen */

Opener7(); /* Opening Screen1. . . Da da da dum! :o) This is something that was cooked up
			   to try and explain my wierd program. . . It's kinda a quasi-event loop that
			   allows the reader to see the screen before it is redrawn below.*/
  while (!quit) {    
   switch (GP142_await_event(&mouse_x, &mouse_y, &key_hit)) {
    
   case GP142_QUIT:
        quit = TRUE; /*allow the user to quit */          
        break;    
	
   case GP142_MOUSE: /* This just waits for a click anywhere */
        GP142_clear(); /* redraws the screen */

Opener8(); /* Opening Screen1. . . Da da da dum! :o) This is something that was cooked up
			   to try and explain my wierd program. . . It's kinda a quasi-event loop that
			   allows the reader to see the screen before it is redrawn below.*/
  while (!quit) {    
   switch (GP142_await_event(&mouse_x, &mouse_y, &key_hit)) {
    
   case GP142_QUIT:
        quit = TRUE; /*allow the user to quit */          
        break;    
	
   case GP142_MOUSE: /* This just waits for a click anywhere */
        GP142_clear(); /* redraws the screen */

Opener9(); /* Opening Screen1. . . Da da da dum! :o) This is something that was cooked up
			   to try and explain my wierd program. . . It's kinda a quasi-event loop that
			   allows the reader to see the screen before it is redrawn below.*/
  while (!quit) {    
   switch (GP142_await_event(&mouse_x, &mouse_y, &key_hit)) {
    
   case GP142_QUIT:
        quit = TRUE; /*allow the user to quit */          
        break;    
	
   case GP142_MOUSE: /* This just waits for a click anywhere */
        GP142_clear(); /* redraws the screen */

Opener10();


  while (!quit) {    
   switch (GP142_await_event(&mouse_x, &mouse_y, &key_hit)) {
    
   case GP142_QUIT:
        quit = TRUE; /*allow the user to quit */          
        break;    
	
   case GP142_MOUSE: /* This just waits for a click anywhere */
        GP142_clear(); /* redraws the screen */
		
Opener11(); 


  while (!quit) {    
   switch (GP142_await_event(&mouse_x, &mouse_y, &key_hit)) {
    
   case GP142_QUIT:
        quit = TRUE; /*allow the user to quit */          
        break;    
	
   case GP142_MOUSE: /* This just waits for a click anywhere */
        GP142_clear(); /* redraws the screen */

  DrawLandscape(sun_x, sun_y, sky_color, cloud_x, cloud_y, person_x, person_y, person_x2, i, mood, current_precip, counter);
  DrawButtons(current_precip, current_color, which);	  /* Show the buttons...*/ 
  


  /*
   * The main event loop:
   * --- ---- ----- -----
   * wait for the next user action, such as a mouse click or keyboard
   * keypress, or a periodic update event (allowing us to display the
   * next frame of an animation -- not used int this program)
   * and call the appropriate function to
   * handle it.  Repeat this until the user signals "quit".
   */
  while (!quit) {  /*this is the famous "event loop" */

	/*find out what has happened */
	event = GP142_await_event(&mouse_x, &mouse_y, &key_hit);

	switch (event) {
    case GP142_QUIT:
      quit = TRUE;           /* set flag to terminate loop           */
      break;

    case GP142_KBD:
		/*not needed for this program.*/
		/*Use this if user will need to hit a key.
		/*Note that scanf CANNOT be used with GP142*/
      break;

    case GP142_MOUSE:
	  /* a mouse click has occurred. */
      /* check for button versus dirt */
      /* handle appropriate button click, if any */
      mouse_click = ClassifyMouseClick(mouse_x, mouse_y);
	if (mouse_click == BUTTON) {
			/* a button has been clicked.  Call a function to handle it*/
		handle_button(mouse_x, mouse_y, 
		      &current_precip, &current_color, &clear_flag, &light_flag, &which);
 
		if (clear_flag){
			for(count = 0; count <=i; count++)
				precip_type[count] = ClearAllPrecipitation(precip_type[count]);
			}
		if (light_flag){
			i = i - 5;
			if (i < 0)
				i = 0;
		}

			 
	} else if ((mouse_click != DIRT)
		/*it's not a button, and it's not the dirt, so it must be sky*/
		&& 
		 (current_precip != NONE) && (current_color != NONE))
	{	
		i++;
		precip_type[i] = current_precip;
		bottom_x[i] = mouse_x;
		bottom_y[i] = mouse_y;
		precip_color[i] = current_color;
		
	}
	
	
      
      break;

    case GP142_PERIODIC:
      	/*Some time has passed, 
		so make all the precipitation a little lower*/
		
		for (count = 0; count <= i; count++){
		bottom_y[count] = bottom_y[count] - 4;
		if (bottom_y[count] < (TOP_OF_DIRT - 100))
			bottom_y[count] = GP142_YMAX;
		}
		/* Check to see if sun has set. . .make sure it rises again! :o) */
		if ((sun_x <= -(GP142_XMAX + 50)) || (sun_y <= (GP142_YMAX - 260)))
		{
		sun_x = GP142_XMAX + 50;
		sun_y = GP142_YMAX - 250;
		}

		/* sunrise and set. . . */
				
		sun_x = sun_x - 4;

		if (sun_x > 40)
			sun_y = sun_y + 3;
		if ((sun_x < 40) && (sun_x > -80))
			sun_y = sun_y;
		if (sun_x < -80) 
			sun_y = sun_y - 3;
		
		if (sun_y < 60)
			sky_color = BLACK;
		if ((sun_y < 80) && (sun_y >60))
			sky_color = NAVY_BLUE;
		if ((sun_y < 100) && (sun_y >80))
			sky_color = PURPLE;
		if ((sun_y < 140) && (sun_y >100))
			sky_color = DUSTY_PLUM;
		if ((sun_y <= GP142_YMAX) && (sun_y >140))
			sky_color = ICE_BLUE;
		
		/*clouds*/
				 
		cloud_x = cloud_x + 3;
		if (cloud_x > (GP142_XMAX + 100))
			cloud_x = -cloud_x;

		/*Base people animation. . .one moving right and one left */
		if (current_precip == ARM);
		else{
		person_x = person_x - 1;
		person_x2 = person_x2 + 1;}


		/*How the people feel. . . They like rain--but not too much!--and 
		they're scared of the dark. . */
		
		if (current_precip == ARM)
			/* If its ARMEGEDDON then of course the people will be upset! */
			mood = mood + 100;

		/*mood modifiers. . .This is kinda dumb, but it made the thing a bit more
		fun to play with, so I made it. . .*/

		happiness = i; /* may seem redundant but made it easier for me to figure out
					   what was being tested. . .i is nondescript! */
		if (happiness < 5)
			mood = mood +1;
		if ((happiness > 5) && (happiness < 10))
			mood = mood +2;
		if ((happiness > 10) && (happiness < 30))
			mood = mood + 0;
		if ((happiness > 30) && (happiness < 50))
			mood = mood - 1;
		if ((happiness > 50) && (happiness < 60))
			mood = mood - 2;
		if ((happiness > 60) && (happiness < 70))
			mood = mood + 1;
		if ((happiness > 80) && (happiness < 90))
			mood = mood + 2;
		if ((happiness > 90) && (happiness < 100))
			mood = mood + 7;
		if ((happiness > 100) && (happiness < 120))
			mood = mood + 8;
		if (happiness > 120)
			mood = mood + 9;
		if (happiness > 200)
			mood = mood + 22;
		
		
		if (sky_color == BLACK)
			mood = mood + 2;

		if (mood > 90)
			mood = 90;
		if (mood < 0)
			mood = 0;

	
		/*counter for ARMEGEDDON cylcing. .  .*/

		counter++;
		if (counter == 4)
			counter = 0;

      break;

    default:

      break;
	
    }  /*end switch */

    /* Redraw everything */
    DrawLandscape(sun_x, sun_y, sky_color, cloud_x, cloud_y, person_x, person_y, person_x2, i, mood, current_precip, counter);
    for(count = 0; count <= i; count++){
		DrawAllPrecipitation(precip_type[count], bottom_x[count], bottom_y[count], precip_color[count], counter);}
	DrawButtons(current_precip, current_color, which);
  

	}  /* end event loop */

  


  /*
   * WRAP-UP
   */
  GP142_close();/* clean up and close graphics window   */
  	  }
  }
  	  }
  }
  	  }	/* To take care of all my opening screens */
  }
 	  }
  }
   	  }
  }
   	  }
  }
   	  }
  }
   	  }
  }
   	  }
  }
   	  }
  }
   	  }
  }


  return 0;
}  /*end main */

/*****************************************************************************/
/*																			 */
/*								FUNCTIONS									 */
/*																			 */
/*****************************************************************************/


/*reinitialize so that ALL current precipitation is erased.*/

int ClearAllPrecipitation(int precip_type)
{
  precip_type = NONE;
  return precip_type;
}



#define RAINDROP_WIDTH 3

/*raindrop function */
void DrawRainDrop(int x, int y, int color) { 
	
	  GP142_circleXY(color, x, y, RAINDROP_WIDTH);


}

/*ARMEGEDDON function */
void Fireball(int x, int y, int count) { 
	
	int color;

	if (count ==0)
		color = RED;
	if (count ==1)
		color = ORANGE;
	if (count ==2)
		color = YELLOW;
	if (count ==3)
		color = WHITE;
		
	if (count == 0){
	  GP142_circleXY(RED, x, y, 40);
	  GP142_circleXY(ORANGE, x, y, 30);
	  GP142_circleXY(YELLOW, x, y, 20);
	  GP142_circleXY(WHITE, x, y, 10);
	}
	if (count == 1){
	  GP142_circleXY(ORANGE, x, y, 40);
	  GP142_circleXY(YELLOW, x, y, 30);
	  GP142_circleXY(WHITE, x, y, 20);
	  GP142_circleXY(RED, x, y, 10);
	}
	if (count == 2){
	  GP142_circleXY(YELLOW, x, y, 40);
	  GP142_circleXY(WHITE, x, y, 30);
	  GP142_circleXY(RED, x, y, 20);
	  GP142_circleXY(ORANGE, x, y, 10);
	}
	if (count == 3){
	  GP142_circleXY(WHITE, x, y, 40);
	  GP142_circleXY(RED, x, y, 30);
	  GP142_circleXY(ORANGE, x, y, 20);
	  GP142_circleXY(YELLOW, x, y, 10);
	}


	if (y <= (TOP_OF_DIRT - 15)){
		GP142_rectangleXY(color,
		x-20, -150,
		x+20, -100, FILL);
	GP142_circleXY(color, x-10, -100, 20);
	GP142_circleXY(color, x+10, -100, 20);
	GP142_circleXY(color, x, -90, 20);
	GP142_circleXY(color, x-25, -100, 15);
	GP142_circleXY(color, x+25, -100, 15);
	GP142_circleXY(color, x-38, -105, 10);
	GP142_circleXY(color, x+38, -105, 10);

	GP142_circleXY(color, x-24, -140, 5);
	GP142_circleXY(color, x-18, -145, 6);
	GP142_circleXY(color, x-6, -145, 6);
	GP142_circleXY(color, x+6, -145, 6);
	GP142_circleXY(color, x+18, -145, 6);
	GP142_circleXY(color, x+26, -140, 5);
	}

}

#define SNOWDROP_WIDTH 4
#define SNOWDROP_HEIGHT 5

/*snowdrop function */
void DrawSnowDrop (int x, int y, int color) {

	GP142_triangleXY(color,
	x, y,
	x + SNOWDROP_WIDTH, y,
	x,y + SNOWDROP_HEIGHT,
	FILL);
}

/*The function that determines precip type and calls the app. function */
void DrawAllPrecipitation(int precip_type, int x, int y, int color, int counter)
{


	if (y >= TOP_OF_DIRT - 20) {
		switch (precip_type) {
		case RAIN:
			DrawRainDrop (x+(rand ( ) % 10), y, color);
			break;
		case SNOW:
			DrawSnowDrop (x+(rand ( ) % 10), y, color);
			break;
		case ARM:
			Fireball (x, y, counter);
			break;
		default:
			/*Bad news to ever get here.*/
			{}
		} /*ends switch*/
		} /* ends if */
			
	
}


/*where did the mouse click? */
int  ClassifyMouseClick(int mouse_x, int mouse_y)
{
  if ((mouse_x < -GP142_XMAX + BUTTON_WIDTH) &&
      (mouse_y < GP142_YMAX) &&
      (mouse_y > (GP142_YMAX - NUM_BUTTONS*BUTTON_HEIGHT)))
    return BUTTON;
  else if (mouse_y <= TOP_OF_DIRT)
    return DIRT;
  else
    return NONE;

}

/*This is the MEATIEST function! :o) It draws and animates everything except the 
precipitation */
void DrawLandscape(int sun_x, int sun_y, int sky_color, int cloud_x, int cloud_y, int person_x, int person_y, int person_x2, int happiness, int mood, int current_precip, int counter)
{  
int text_offset = -GP142_XMAX + 15, font_size = 12, x, y, a, b, count, count2;
int i = 0;
int death = current_precip;
  /* Draw the sky first */
  GP142_rectangleXY(sky_color, -GP142_XMAX, -GP142_YMAX,
		    GP142_XMAX, GP142_YMAX, FILL);
  /*Stars. . .I wanted to use a random number but the stars have to stay static*/
  						  
  if ((sky_color == BLACK) || (sky_color == NAVY_BLUE))
  { 	
	  GP142_circleXY(WHITE, -50, 123 , 1);
	  GP142_circleXY(WHITE, -150, 180 , 1);
	  GP142_circleXY(WHITE, -123, 176 , 1);
	  GP142_circleXY(WHITE, -5, 200 , 1);
	  GP142_circleXY(WHITE, -236, 243 , 1);
	  GP142_circleXY(WHITE, 50, 132 , 1);
	  GP142_circleXY(WHITE, 123, 222 , 1);
	  GP142_circleXY(WHITE, 200, 173 , 1);
	  GP142_circleXY(WHITE, 0, 140 , 1);
	  GP142_circleXY(WHITE, 10, 100 , 1);
	  GP142_circleXY(WHITE, 78, 203 , 1);
	  GP142_circleXY(WHITE, 220, 123 , 1);
  }

 
  /* Draw the sun */
  GP142_circleXY(YELLOW, sun_x, sun_y , 20);

   /* draw the clouds. . . They move, so I used a function.*/
  cloud(cloud_x, cloud_y);
  cloud((cloud_x - 400), (cloud_y + 40));

  /* Draw the dirt */
  /* The dirt is a % of the height of the screen */
  GP142_rectangleXY(BROWN, -GP142_XMAX, -GP142_YMAX,
		    GP142_XMAX, TOP_OF_DIRT, FILL);
  GP142_printfXY (BLACK, text_offset, -GP142_YMAX+30, font_size,
	  "Click a weather type and a color, then click on the picture.");
    
  /*Draw the mountains */
  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

  GP142_triangleXY(WHITE,
		   -75, 125,
		   80, 123,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

   GP142_triangleXY(WHITE,
		   -75, 125,
		   -30, 103,
		   10, 130,
		   FILL);

   GP142_triangleXY(WHITE,
		   23, 114,
		   80, 123,
		   -10, 130,
		   FILL);

  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (GP142_YMAX)/2,
		   FILL);

  GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

 
   GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -120, (2 * GP142_YMAX)/4,
		   FILL);
   
   GP142_triangleXY(OLIVE,
		   -GP142_XMAX, 20,
		   20, TOP_OF_DIRT,
		   -270, (5 * GP142_YMAX)/10,
		   FILL);

    GP142_triangleXY(WHITE,
		   -255, 114,
		   -160, 114,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

	GP142_triangleXY(WHITE,
		   -225, 114,
		   -195, 105,
		   -180, 120,
		   FILL);

  GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, (2 * GP142_YMAX)/3 ,
		   FILL);

    GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (2 * GP142_YMAX)/6 ,
		   FILL);

	
	/* Native Village. . . . .  */

	/*Establishing temp baselines so that things are easier :o) Makes it easy to move
	the whole village around.*/
	
	x = 20;
	y = -100; 
	count = 0;
	count2 = 0;
	a = 90;
	b = -28;
	
	/* houses */
	while (count <= 8)
	{
		
		count++;
		a = a + b;
		b = (b - a);
	
		if ((b + (y - 55)) < (-GP142_YMAX))
		{
			a = b;
			b = (count2 * (count2 - count));
		}
	
		if (b > 60)
		{
			a = b;
			b = (count2 * (count2 - count));
		}

			while (count2 <= 3)
			{

				count2++;
				a = (count2 * (count + count2)) + (a + b);
				b = (count * (count - count2)) + (b - a);
				
				
				if ((b + (y - 55)) < (-GP142_YMAX))
				{
					a = b;
					b = (count2 * (count2 - count));
				}
				
				if (b > 55)
				{
					a = b;
					b = count2 - count;
					
				}
						
				DrawHouse(a, b, x, y);
	
			}
		
		DrawHouse(a, b, x, y);
	
	}

   /*Trees!  Gotta have a forest. . . 	*/

	
	DrawTree(-100, 4, x, y);
	DrawTree(-150, -10, x, y);
	DrawTree(-134, -34, x, y);
	DrawTree(50, -2, x, y);
	DrawTree(23, 17, x, y);
	DrawTree(-45, -15, x, y);	/*  I could have written a loop but I wanted     */
	DrawTree(-220, -45, x, y);	/*	to place my trees around my houses, and to   */
	DrawTree(-190, 10, x, y);	/*	write a loop to do that would have been more */
	DrawTree(100, 40, x, y);	/*	trouble than it was worth! :o)			     */
	DrawTree(90, -60, x, y);
	DrawTree(-200, -80, x, y);
	DrawTree(170, -10, x, y);

	/* if ARMEGEDDON blasts on the ground. . .  */

	if (current_precip == ARM)
		GP142_rectangleXY(BLACK,
		-GP142_XMAX, TOP_OF_DIRT,
		GP142_XMAX, -GP142_YMAX, FILL);

	/* PEOPLE!  AT LAST, the disciples of Martin Dickey. . .  .*/
		
	DrawPerson(person_x, person_y, death, counter, mood);
	DrawPerson(person_x-250, person_y-80, death, counter, mood);
	DrawPerson(person_x+40, person_y-20, death, counter, mood);
	DrawPerson(person_x-150, person_y+10, death, counter, mood);
	DrawPerson(person_x2-50, person_y-40, death, counter, mood);
	DrawPerson(person_x2+50, person_y-80, death, counter, mood);
	DrawPerson(person_x2+100, person_y-70, death, counter, mood);
	DrawPerson(person_x2-80, person_y+10, death, counter, mood);
	DrawPerson(person_x, person_y-10, death, counter, mood);
	DrawPerson(person_x-220, person_y-35, death, counter, mood);
	DrawPerson(person_x+20, person_y-12, death, counter, mood);
	DrawPerson(person_x-70, person_y+4, death, counter, mood);
	DrawPerson(person_x2-90, person_y-50, death, counter, mood);
	DrawPerson(person_x2+30, person_y-75, death, counter, mood);
	DrawPerson(person_x2+110, person_y-66, death, counter, mood);
	DrawPerson(person_x2-30, person_y+7, death, counter, mood);
	
	
	/* Happiness Corner.. . . . calls n' draws the mood o meter*/
	Happy(happiness, font_size, mood);

	
} /*end DrawLandscape */


/* Figure out which button was clicked */
void handle_button(int x, int y, int *current_precip, int *current_color,
		   int *clear_weather, int *light_flag, int *which)
{
  int max_speed = 80;
  int buttonNum = 0;

  *clear_weather = FALSE; /* Assume we don't replant */

  /* If we're outside of this area, we could not have clicked on
   * a button.
   */
  if (x > -GP142_XMAX + BUTTON_WIDTH)  return;

  /* We know the mouse clicked in the column of buttons. */
  buttonNum = (GP142_YMAX - y)/BUTTON_HEIGHT;	 

  switch(buttonNum) {
  case 0:
	  {
    *current_precip = RAIN;
	*which = 1;
	break;
	  }
  case 1:
	  {
    *current_precip = SNOW;
	*which = 2;
    break;
	  }
  case 2:
	  {
    *current_precip = ARM;
	*which = 3;
    break;
	  }
  case 3:
	  {
    *current_color = WHITE;
	*which = 4;
    break;
	  }
  case 4:
	  {
    *current_color = BLUE;
	*which = 5;
    break;
	  }
  case 5:
	  {
	*current_color = YELLOW;
	*which = 6;
	break;
	  }
  case 6:
	  {
   	*light_flag = TRUE;
    *which = 7;
	break;/* Signal to lighten up the weather */
	  }
  case 7:
	  {
    *clear_weather = TRUE;
    *which = 8;
	break; /* Signal to clear up the weather */
	  }
  default:
		/*Bad news if this is ever reached! */
		GP142_printfXY (RED, 50, 50, 14, "BAAADD NEWS!");
    break;
  }

}


/* Draws the buttons */
void DrawButtons(int current_precip, int current_color, int which)
{
  int i, text_offset = -GP142_XMAX + 15, font_size = 12;
  int spacer = 5;/*Helps in making buttons bigger and smaller easy */


	  GP142_rectangleXY(BLACK,
		      (-GP142_XMAX + 4),
		      (GP142_YMAX - 0 * BUTTON_HEIGHT - 2)-spacer+1,
		      (-GP142_XMAX + BUTTON_WIDTH)+3,
		      ((GP142_YMAX - (7 + 1)*BUTTON_HEIGHT - 2)-2)-spacer-1, 2);	

  /* Ok, this looks really messy, I know.  But it was the best and easist
  way to make a good-loking menu.  I tried loops
  but by the time they did what I wanted they were hopelessly complicated.
  so I just broke down and wrote it all out for ease of use.  The following does
  three things: 1) test if thats the button clicked, and if it is 2)draw it in
  the highlghted colors or 3)draw it in the regular color. */

  i = GP142_YMAX - 25;
  if (current_precip == RAIN){
	GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 0 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (0 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	GP142_rectangleXY(MED_GRAY,
		      (-GP142_XMAX + 4)+2,
		      ((GP142_YMAX - 0 * BUTTON_HEIGHT - 4)+1)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (0 + 1)*BUTTON_HEIGHT - 2)-spacer+1, FILL);
	 GP142_rectangleXY(BLACK,
		      (-GP142_XMAX + 4)+2,
		      (GP142_YMAX - 0 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+1,
		      ((GP142_YMAX - (0 + 1)*BUTTON_HEIGHT - 2)-2)-spacer+4, 1);	
    GP142_printfXY(SELECTED_COLOR, text_offset, i, font_size, "Rain");	
  }
  else{
 
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 0 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (0 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4),
		      ((GP142_YMAX - 0 * BUTTON_HEIGHT - 4)+1)-spacer+2,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (0 + 1)*BUTTON_HEIGHT - 2)-spacer, FILL);
	  GP142_printfXY(BLACK, text_offset, i, font_size, "Rain");
  }
	
  
  i -= BUTTON_HEIGHT;
  if (current_precip == SNOW){
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 1 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (1 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(MED_GRAY,
		      (-GP142_XMAX + 4)+2,
		      ((GP142_YMAX - 1 * BUTTON_HEIGHT - 4)+1)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (1 + 1)*BUTTON_HEIGHT - 2)-spacer-2, FILL);
	  	 GP142_rectangleXY(BLACK,
		      (-GP142_XMAX + 4)+2,
		      (GP142_YMAX - 1 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+1,
		      ((GP142_YMAX - (1 + 1)*BUTTON_HEIGHT - 2)-2)-spacer+4, 1);	
    GP142_printfXY(SELECTED_COLOR, text_offset, i, font_size, "Snow");
    
  }
  else{
	  
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 1 * BUTTON_HEIGHT - 2)-spacer-3,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (1 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4),
		      ((GP142_YMAX - 1 * BUTTON_HEIGHT - 4)+1)-spacer+2,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (1 + 1)*BUTTON_HEIGHT - 2)-spacer, FILL);

    GP142_printfXY(BLACK, text_offset, i, font_size, "Snow");
  }
    i -= BUTTON_HEIGHT;
  if (current_precip == ARM){
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 2 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (2 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(MED_GRAY,
		      (-GP142_XMAX + 4)+2,
		      ((GP142_YMAX - 2 * BUTTON_HEIGHT - 4)+1)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (2 + 1)*BUTTON_HEIGHT - 2)-spacer-2, FILL);
	  	 GP142_rectangleXY(BLACK,
		      (-GP142_XMAX + 4)+2,
		      (GP142_YMAX - 2 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+1,
		      ((GP142_YMAX - (2 + 1)*BUTTON_HEIGHT - 2)-2)-spacer+4, 1);	
    GP142_printfXY(SELECTED_COLOR, text_offset, i, font_size, "ARMEGEDDON!");
    
  }
  else{
	  
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 2 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (2 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4),
		      ((GP142_YMAX - 2 * BUTTON_HEIGHT - 4)+1)-spacer+2,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (2 + 1)*BUTTON_HEIGHT - 2)-spacer, FILL);
    GP142_printfXY(BLACK, text_offset, i, font_size, "ARMEGEDDON!");
  }

 
  /* Buttons for Colors */
  i -= BUTTON_HEIGHT;
  if (current_color == WHITE){
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 3 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (3 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(MED_GRAY,
		      (-GP142_XMAX + 4)+2,
		      ((GP142_YMAX - 3 * BUTTON_HEIGHT - 4)+1)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (3 + 1)*BUTTON_HEIGHT - 2)-spacer-2, FILL);
	  	 GP142_rectangleXY(BLACK,
		      (-GP142_XMAX + 4)+2,
		      (GP142_YMAX - 3 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+1,
		      ((GP142_YMAX - (3 + 1)*BUTTON_HEIGHT - 2)-2)-spacer+4, 1);	
    GP142_printfXY(SELECTED_COLOR, text_offset, i, font_size, "White");	
	
  }
  else{
	  
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 3 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (3 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4),
		      ((GP142_YMAX - 3 * BUTTON_HEIGHT - 4)+1)-spacer+2,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (3 + 1)*BUTTON_HEIGHT - 2)-spacer, FILL);
    GP142_printfXY(BLACK, text_offset, i, font_size, "White");
  }

  i -= BUTTON_HEIGHT;
  if (current_color == BLUE){
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 4 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (4 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(MED_GRAY,
		      (-GP142_XMAX + 4)+2,
		      ((GP142_YMAX - 4 * BUTTON_HEIGHT - 4)+1)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (4 + 1)*BUTTON_HEIGHT - 2)-spacer-2, FILL);
	  	 GP142_rectangleXY(BLACK,
		      (-GP142_XMAX + 4)+2,
		      (GP142_YMAX - 4 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+1,
		      ((GP142_YMAX - (4 + 1)*BUTTON_HEIGHT - 2)-2)-spacer+4, 1);	
    GP142_printfXY(SELECTED_COLOR, text_offset, i, font_size, "Blue");
	
  }
  else{
	  
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 4 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (4 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4),
		      ((GP142_YMAX - 4 * BUTTON_HEIGHT - 4)+1)-spacer+2,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (4 + 1)*BUTTON_HEIGHT - 2)-spacer, FILL);
    GP142_printfXY(BLACK, text_offset, i, font_size, "Blue");
  }
  i -= BUTTON_HEIGHT;
  if (current_color == YELLOW){
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 5 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (5 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(MED_GRAY,
		      (-GP142_XMAX + 4)+2,
		      ((GP142_YMAX - 5 * BUTTON_HEIGHT - 4)+1)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (5 + 1)*BUTTON_HEIGHT - 2)-spacer-2, FILL);
	  	 GP142_rectangleXY(BLACK,
		      (-GP142_XMAX + 4)+2,
		      (GP142_YMAX - 5 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+1,
		      ((GP142_YMAX - (5 + 1)*BUTTON_HEIGHT - 2)-2)-spacer+4, 1);	
    GP142_printfXY(SELECTED_COLOR, text_offset, i, font_size, "Yellow");
	
  }
  else{
	  
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 5 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (5 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4),
		      ((GP142_YMAX - 5 * BUTTON_HEIGHT - 4)+1)-spacer+2,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (5 + 1)*BUTTON_HEIGHT - 2)-spacer, FILL);
    GP142_printfXY(BLACK, text_offset, i, font_size, "Yellow");
  }

  /* This button is never "selected" */
i -= BUTTON_HEIGHT;
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 6 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (6 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4),
		      ((GP142_YMAX - 6 * BUTTON_HEIGHT - 4)+1)-spacer+2,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (6 + 1)*BUTTON_HEIGHT - 2)-spacer, FILL);

	  
    GP142_printfXY(BLACK, text_offset, i, font_size, "Lighten Up");
  
  /* This button is also never "selected" */
  i -= BUTTON_HEIGHT;
  
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4)+1,
		      (GP142_YMAX - 7 * BUTTON_HEIGHT - 2)-spacer,
		      (-GP142_XMAX + BUTTON_WIDTH)+2,
		      ((GP142_YMAX - (7 + 1)*BUTTON_HEIGHT - 2)-2)-spacer, 2);
	  GP142_rectangleXY(LT_GRAY,
		      (-GP142_XMAX + 4),
		      ((GP142_YMAX - 7 * BUTTON_HEIGHT - 4)+1)-spacer+2,
		      (-GP142_XMAX + BUTTON_WIDTH),
		      (GP142_YMAX - (7 + 1)*BUTTON_HEIGHT - 2)-spacer, FILL); 
	  	
    GP142_printfXY(BLACK, text_offset, i, font_size, "Cease!");
	 
}

/* I don't want to know why this is here. . .it was put here originally by the Ta's */
void BadNewsMessage (void) {
	GP142_printfXY (RED, 0, 0, 16, "BAAAADDD NEWS!");
}

/*Function that draws one house */
void DrawHouse (int a, int b, int x, int y)
{
	GP142_rectangleXY(GREEN,a + (x - 18), b + (y -55),
	    a + (x - 2), b + (y - 45), FILL);
	
	GP142_rectangleXY(BLACK, a + (x - 12), b + (y - 55),
	    a + (x - 14), b + (y - 50), FILL);

	GP142_triangleXY(YELLOW,
	   a + (x - 20), b + (y - 45),
	   a + x, b + (y - 45),
	   a + (x - 10), b + (y - 30),
	   FILL);
}

/*Function that draws one tree */
void DrawTree (int a, int b, int x, int y)
{
	GP142_triangleXY(FOREST_GREEN,
	a + (x - 20), b + (y - 45),
	a + (x - 10), b + (y - 45),
	a + (x - 15), b + (y - 35),
	FILL);

	GP142_triangleXY(FOREST_GREEN,
	a + (x - 22), b + (y - 52),
	a + (x - 8), b + (y - 52),
	a + (x - 15), b + (y - 42),
	FILL);

	GP142_triangleXY(FOREST_GREEN,
	a + (x - 24), b + (y - 59),
	a + (x - 6), b + (y - 59),
	a + (x - 15), b + (y - 49),
	FILL);
	
	GP142_rectangleXY(OLIVE, a + (x - 13), b + (y - 64),
		    a + (x - 17), b + (y - 59), FILL);
}

/*function that draws one ckoud */
void cloud(int x, int y)
{
	 
	 GP142_circleXY(WHITE, x, y , 5);
	 GP142_circleXY(WHITE, x+30, y , 6);
	 GP142_circleXY(WHITE, x - 10, y , 7);
	 GP142_circleXY(WHITE, x - 15, y , 8);
	 GP142_circleXY(WHITE, x+10, y , 8);
	 GP142_circleXY(WHITE, x+15, y , 9);
	 GP142_circleXY(WHITE, x+40, y , 10);
	 GP142_circleXY(WHITE, x, y , 11);
	 GP142_circleXY(WHITE, x+70, y , 12);
	 GP142_circleXY(WHITE, x - 20, y , 11);
	 GP142_circleXY(WHITE, x - 30, y , 8);
	 GP142_circleXY(WHITE, x - 40, y , 5);
	 GP142_circleXY(WHITE, x+20, y , 10);
	 GP142_circleXY(WHITE, x+20, y , 15);
	 GP142_circleXY(WHITE, x+50, y , 9);
	 GP142_circleXY(WHITE, x+60, y , 8);
	 GP142_circleXY(WHITE, x - 20, y , 9);
	 GP142_circleXY(WHITE, x+80, y , 7);
	 GP142_circleXY(WHITE, x+88, y , 5);
	 GP142_circleXY(WHITE, x+92, y , 3);


}

/* This function tests for the people's conditions, and draws/animates them
accordingly. . .not as simple as those above */
void DrawPerson (int x, int y, int death, int counter, int mood)
{
	
	if (x > GP142_XMAX)
		x = x - GP142_XMAX;
	if (x < -GP142_XMAX)
		x = x + GP142_XMAX;
	
	
	/*This is where we draw the people */
	if ((death==ARM) || (mood > 75)){
			if (counter == 0){
		GP142_circleXY(PEACH,x,y,2);
		GP142_triangleXY(PEACH, 
			(x-2), y-4, 
			(x+2), y-4,
			x, (y-8), FILL);
		GP142_triangleXY(PEACH, 
			x-2, y-4,
			x-2, y-5,
			x-5, y-6, FILL);
		GP142_triangleXY(PEACH, 
			x+2, y-4,
			x+2, y-5,
			x+5, y-6, FILL);
		GP142_triangleXY(PEACH, 
			x+1, y-8,
			x+2, y-8,
			x+3, y-12, FILL);
		GP142_triangleXY(PEACH, 
			x-1, y-8,
			x-2, y-8,
			x-3, y-12, FILL);
		}
		if (counter == 1){
		GP142_circleXY(PEACH,x,y+1,2);
		GP142_triangleXY(PEACH, 
			(x-2), (y-4)+1, 
			(x+2), (y-4)+1,
			x, (y-8), FILL);
		GP142_triangleXY(PEACH, 
			x-2, (y-4)+1,
			x-2, (y-5)+1,
			x-5, (y-6)+1, FILL);
		GP142_triangleXY(PEACH, 
			x+2, (y-4)+1,
			x+2, (y-5)+1,
			x+5, (y-6)+1, FILL);
		GP142_triangleXY(PEACH, 
			x+1, (y-8)+1,
			x+2, (y-8)+1,
			x+3, (y-12)+1, FILL);
		GP142_triangleXY(PEACH, 
			x-1, (y-8)+1,
			x-2, (y-8)+1,
			x-3, (y-12)+1, FILL);
		}	
		if (counter == 2){
		GP142_circleXY(PEACH,x,y+2,2);
		GP142_triangleXY(PEACH, 
			(x-2), (y-4)+2, 
			(x+2), (y-4)+2,
			x, (y-8)+2, FILL);
		GP142_triangleXY(PEACH, 
			x-2, (y-4)+2,
			x-2, (y-5)+2,
			x-5, (y-6)+2, FILL);
		GP142_triangleXY(PEACH, 
			x+2, (y-4)+2,
			x+2, (y-5)+2,
			x+5, (y-6)+2, FILL);
		GP142_triangleXY(PEACH, 
			x+1, (y-8)+2,
			x+2, (y-8)+2,
			x+3, (y-12)+2, FILL);
		GP142_triangleXY(PEACH, 
			x-1, (y-8)+2,
			x-2, (y-8)+2,
			x-3, (y-12)+2, FILL);
		}
			if (counter == 3){
		GP142_circleXY(PEACH,x,y+1,2);
		GP142_triangleXY(PEACH, 
			(x-2), (y-4)+1, 
			(x+2), (y-4)+1,
			x, (y-8), FILL);
		GP142_triangleXY(PEACH, 
			x-2, (y-4)+1,
			x-2, (y-5)+1,
			x-5, (y-6)+1, FILL);
		GP142_triangleXY(PEACH, 
			x+2, (y-4)+1,
			x+2, (y-5)+1,
			x+5, (y-6)+1, FILL);
		GP142_triangleXY(PEACH, 
			x+1, (y-8)+1,
			x+2, (y-8)+1,
			x+3, (y-12)+1, FILL);
		GP142_triangleXY(PEACH, 
			x-1, (y-8)+1,
			x-2, (y-8)+1,
			x-3, (y-12)+1, FILL);
		}
	}

	
	else{
	


	
	GP142_circleXY(PEACH,x,y,2);
	GP142_triangleXY(PEACH, 
		(x-2), y-4, 
		(x+2), y-4,
		x, (y-8), FILL);
	GP142_triangleXY(PEACH, 
		x-2, y-4,
		x-2, y-5,
		x-5, y-6, FILL);
	GP142_triangleXY(PEACH, 
		x+2, y-4,
		x+2, y-5,
		x+5, y-6, FILL);
	GP142_triangleXY(PEACH, 
		x+1, y-8,
		x+2, y-8,
		x+3, y-12, FILL);
	GP142_triangleXY(PEACH, 
		x-1, y-8,
		x-2, y-8,
		x-3, y-12, FILL);
	}

}

/*Draw and test the happiness of the people */
void Happy (int happiness, int font_size, int x)
{
	int GP142_YMIN = - GP142_YMAX;
	

	GP142_rectangleXY(LT_GRAY,
		      (GP142_XMAX -5),
		      (GP142_YMIN + 5),
		      (GP142_XMAX - 120),
		      (GP142_YMIN + 45), FILL);
	GP142_rectangleXY(BLACK,
		      (GP142_XMAX -5),
		      (GP142_YMIN + 5),
		      (GP142_XMAX - 120),
		      (GP142_YMIN + 45), 1);
	GP142_printfXY(BLACK, GP142_XMAX - 102, GP142_YMIN + 30, font_size, "Mortal Mood:");
	
	GP142_rectangleXY(BLACK,
		      (GP142_XMAX -20),
		      (GP142_YMIN + 15),
		      (GP142_XMAX - 103),
		      (GP142_YMIN + 25), 1);

		GP142_rectangleXY(BLACK,
		      (GP142_XMAX -21),
		      (GP142_YMIN + 16),
		      (GP142_XMAX - 103),
		      (GP142_YMIN + 25), 1);

	
		if (x < 0)
			x = 0;
		if (x > 81)
			x = 81;

		GP142_rectangleXY(WHITE,
		      (GP142_XMAX -21),
		      (GP142_YMIN + 17),
		      (GP142_XMAX - 102),
		      (GP142_YMIN + 24), FILL);
		
		GP142_rectangleXY(RED,
		      (GP142_XMAX -21)-x,
		      (GP142_YMIN + 16),
		      (GP142_XMAX - 102),
		      (GP142_YMIN + 24), FILL);

		if (x > 60)
			GP142_printfXY(BLACK, GP142_XMAX - 85, GP142_YMIN + 15, font_size - 4, "WARNING!");

		if (x >= 80)
			GP142_printfXY(RED, -170,0, font_size + 8, "THE MORTALS ARE REVOLTING!");
	
}

/*Draws the opening screens*/
void Opener(void){
	GP142_rectangleXY(BLACK,
		GP142_XMAX,
		-GP142_YMAX,
		-GP142_XMAX,
		GP142_YMAX, FILL);

	GP142_printfXY(CYAN, -200, 0, 24, "And in the Begining, there was the Void. . .");
	GP142_printfXY(BLUE, -GP142_XMAX, -GP142_YMAX, 10, "Click to Continue. . .");

	/* Put a color cycler here! SIM-DICKEY: Play as a GOD!*/
}

void Opener2(void){
	GP142_rectangleXY(BLACK,
		GP142_XMAX,
		-GP142_YMAX,
		-GP142_XMAX,
		GP142_YMAX, FILL);

	GP142_printfXY(CYAN, -200, 0, 22, ". . .And the Great God Dickey was lonely.");
	GP142_printfXY(CYAN, -100, -40, 22, "Thus he began. . . ");
	GP142_printfXY(BLUE, -GP142_XMAX, -GP142_YMAX, 10, "Click to Continue. . .");

	/* Put a color cycler here! SIM-DICKEY: Play as a GOD!*/
}

void Opener3(void){
	GP142_rectangleXY(BLACK,
		GP142_XMAX,
		-GP142_YMAX,
		-GP142_XMAX,
		GP142_YMAX, FILL);

GP142_printfXY(MAGENTA, -180, 0, 40, ". . TO PROGRAM!");

}

void Opener4(void){
	GP142_rectangleXY(BLACK,
		GP142_XMAX,
		-GP142_YMAX,
		-GP142_XMAX,
		GP142_YMAX, FILL);

  GP142_rectangleXY(BROWN, -GP142_XMAX, -GP142_YMAX,
		    GP142_XMAX, TOP_OF_DIRT, FILL);
      
  /*Draw the mountains */
  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

  GP142_triangleXY(WHITE,
		   -75, 125,
		   80, 123,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

   GP142_triangleXY(WHITE,
		   -75, 125,
		   -30, 103,
		   10, 130,
		   FILL);

   GP142_triangleXY(WHITE,
		   23, 114,
		   80, 123,
		   -10, 130,
		   FILL);

  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (GP142_YMAX)/2,
		   FILL);

  GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

 
   GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -120, (2 * GP142_YMAX)/4,
		   FILL);
   
   GP142_triangleXY(OLIVE,
		   -GP142_XMAX, 20,
		   20, TOP_OF_DIRT,
		   -270, (5 * GP142_YMAX)/10,
		   FILL);

    GP142_triangleXY(WHITE,
		   -255, 114,
		   -160, 114,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

	GP142_triangleXY(WHITE,
		   -225, 114,
		   -195, 105,
		   -180, 120,
		   FILL);

  GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, (2 * GP142_YMAX)/3 ,
		   FILL);

    GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (2 * GP142_YMAX)/6 ,
		   FILL);

GP142_printfXY(CYAN, -290, 200, 18, "First, using the divine tool of GP142, The Great Dickey created the Firmament.");

}

void Opener5(void){
	GP142_rectangleXY(BLACK,
		GP142_XMAX,
		-GP142_YMAX,
		-GP142_XMAX,
		GP142_YMAX, FILL);

  GP142_rectangleXY(BROWN, -GP142_XMAX, -GP142_YMAX,
		    GP142_XMAX, TOP_OF_DIRT, FILL);
      
  /*Draw the mountains */
  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

  GP142_triangleXY(WHITE,
		   -75, 125,
		   80, 123,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

   GP142_triangleXY(WHITE,
		   -75, 125,
		   -30, 103,
		   10, 130,
		   FILL);

   GP142_triangleXY(WHITE,
		   23, 114,
		   80, 123,
		   -10, 130,
		   FILL);

  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (GP142_YMAX)/2,
		   FILL);

  GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

 
   GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -120, (2 * GP142_YMAX)/4,
		   FILL);
   
   GP142_triangleXY(OLIVE,
		   -GP142_XMAX, 20,
		   20, TOP_OF_DIRT,
		   -270, (5 * GP142_YMAX)/10,
		   FILL);

    GP142_triangleXY(WHITE,
		   -255, 114,
		   -160, 114,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

	GP142_triangleXY(WHITE,
		   -225, 114,
		   -195, 105,
		   -180, 120,
		   FILL);

  GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, (2 * GP142_YMAX)/3 ,
		   FILL);

    GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (2 * GP142_YMAX)/6 ,
		   FILL);

GP142_printfXY(CYAN, -290, 200, 18, "First, using the divine tool of GP142, The Great Dickey created the Firmament.");
GP142_printfXY(CYAN, -90, -200, 18, "And it was Good.");

}

void Opener6(void){
	GP142_rectangleXY(BLACK,
		GP142_XMAX,
		-GP142_YMAX,
		-GP142_XMAX,
		GP142_YMAX, FILL);

	  GP142_circleXY(WHITE, -50, 123 , 1);
	  GP142_circleXY(WHITE, -150, 180 , 1);
	  GP142_circleXY(WHITE, -123, 176 , 1);
	  GP142_circleXY(WHITE, -5, 200 , 1);
	  GP142_circleXY(WHITE, -236, 243 , 1);
	  GP142_circleXY(WHITE, 50, 132 , 1);
	  GP142_circleXY(WHITE, 123, 222 , 1);
	  GP142_circleXY(WHITE, 200, 173 , 1);
	  GP142_circleXY(WHITE, 0, 140 , 1);
	  GP142_circleXY(WHITE, 10, 100 , 1);
	  GP142_circleXY(WHITE, 78, 203 , 1);
	  GP142_circleXY(WHITE, 220, 123 , 1);

  GP142_rectangleXY(BROWN, -GP142_XMAX, -GP142_YMAX,
		    GP142_XMAX, TOP_OF_DIRT, FILL);
      
  /*Draw the mountains */
  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

  GP142_triangleXY(WHITE,
		   -75, 125,
		   80, 123,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

   GP142_triangleXY(WHITE,
		   -75, 125,
		   -30, 103,
		   10, 130,
		   FILL);

   GP142_triangleXY(WHITE,
		   23, 114,
		   80, 123,
		   -10, 130,
		   FILL);

  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (GP142_YMAX)/2,
		   FILL);

  GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

 
   GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -120, (2 * GP142_YMAX)/4,
		   FILL);
   
   GP142_triangleXY(OLIVE,
		   -GP142_XMAX, 20,
		   20, TOP_OF_DIRT,
		   -270, (5 * GP142_YMAX)/10,
		   FILL);

    GP142_triangleXY(WHITE,
		   -255, 114,
		   -160, 114,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

	GP142_triangleXY(WHITE,
		   -225, 114,
		   -195, 105,
		   -180, 120,
		   FILL);

  GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, (2 * GP142_YMAX)/3 ,
		   FILL);

    GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (2 * GP142_YMAX)/6 ,
		   FILL);

GP142_printfXY(CYAN, -200, 200, 18, "Next, the Great God created lights in the Heavens.");

}

void Opener7(void){
	GP142_rectangleXY(BLACK,
		GP142_XMAX,
		-GP142_YMAX,
		-GP142_XMAX,
		GP142_YMAX, FILL);

	  GP142_circleXY(WHITE, -50, 123 , 1);
	  GP142_circleXY(WHITE, -150, 180 , 1);
	  GP142_circleXY(WHITE, -123, 176 , 1);
	  GP142_circleXY(WHITE, -5, 200 , 1);
	  GP142_circleXY(WHITE, -236, 243 , 1);
	  GP142_circleXY(WHITE, 50, 132 , 1);
	  GP142_circleXY(WHITE, 123, 222 , 1);
	  GP142_circleXY(WHITE, 200, 173 , 1);
	  GP142_circleXY(WHITE, 0, 140 , 1);
	  GP142_circleXY(WHITE, 10, 100 , 1);
	  GP142_circleXY(WHITE, 78, 203 , 1);
	  GP142_circleXY(WHITE, 220, 123 , 1);

  GP142_rectangleXY(BROWN, -GP142_XMAX, -GP142_YMAX,
		    GP142_XMAX, TOP_OF_DIRT, FILL);
      
  /*Draw the mountains */
  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

  GP142_triangleXY(WHITE,
		   -75, 125,
		   80, 123,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

   GP142_triangleXY(WHITE,
		   -75, 125,
		   -30, 103,
		   10, 130,
		   FILL);

   GP142_triangleXY(WHITE,
		   23, 114,
		   80, 123,
		   -10, 130,
		   FILL);

  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (GP142_YMAX)/2,
		   FILL);

  GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

 
   GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -120, (2 * GP142_YMAX)/4,
		   FILL);
   
   GP142_triangleXY(OLIVE,
		   -GP142_XMAX, 20,
		   20, TOP_OF_DIRT,
		   -270, (5 * GP142_YMAX)/10,
		   FILL);

    GP142_triangleXY(WHITE,
		   -255, 114,
		   -160, 114,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

	GP142_triangleXY(WHITE,
		   -225, 114,
		   -195, 105,
		   -180, 120,
		   FILL);

  GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, (2 * GP142_YMAX)/3 ,
		   FILL);

    GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (2 * GP142_YMAX)/6 ,
		   FILL);

GP142_printfXY(CYAN, -200, 200, 18, "Next, the Great God created lights in the Heavens.");
GP142_printfXY(CYAN, -90, -200, 18, "And it was Good.");

}

void Opener8(void){
	GP142_rectangleXY(BLACK,
		GP142_XMAX,
		-GP142_YMAX,
		-GP142_XMAX,
		GP142_YMAX, FILL);

	  GP142_circleXY(WHITE, -50, 123 , 1);
	  GP142_circleXY(WHITE, -150, 180 , 1);
	  GP142_circleXY(WHITE, -123, 176 , 1);
	  GP142_circleXY(WHITE, -5, 200 , 1);
	  GP142_circleXY(WHITE, -236, 243 , 1);
	  GP142_circleXY(WHITE, 50, 132 , 1);
	  GP142_circleXY(WHITE, 123, 222 , 1);
	  GP142_circleXY(WHITE, 200, 173 , 1);
	  GP142_circleXY(WHITE, 0, 140 , 1);
	  GP142_circleXY(WHITE, 10, 100 , 1);
	  GP142_circleXY(WHITE, 78, 203 , 1);
	  GP142_circleXY(WHITE, 220, 123 , 1);

  GP142_rectangleXY(BROWN, -GP142_XMAX, -GP142_YMAX,
		    GP142_XMAX, TOP_OF_DIRT, FILL);
      
  /*Draw the mountains */
  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

  GP142_triangleXY(WHITE,
		   -75, 125,
		   80, 123,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

   GP142_triangleXY(WHITE,
		   -75, 125,
		   -30, 103,
		   10, 130,
		   FILL);

   GP142_triangleXY(WHITE,
		   23, 114,
		   80, 123,
		   -10, 130,
		   FILL);

  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (GP142_YMAX)/2,
		   FILL);

  GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

 
   GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -120, (2 * GP142_YMAX)/4,
		   FILL);
   
   GP142_triangleXY(OLIVE,
		   -GP142_XMAX, 20,
		   20, TOP_OF_DIRT,
		   -270, (5 * GP142_YMAX)/10,
		   FILL);

    GP142_triangleXY(WHITE,
		   -255, 114,
		   -160, 114,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

	GP142_triangleXY(WHITE,
		   -225, 114,
		   -195, 105,
		   -180, 120,
		   FILL);

  GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, (2 * GP142_YMAX)/3 ,
		   FILL);

    GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (2 * GP142_YMAX)/6 ,
		   FILL);

GP142_printfXY(CYAN, -230, 200, 18, "On the next day, the God looked around.  Something still lacked. . .");

}

void Opener9(void){

	int x,y,a,b,count,count2;
	int person_x = 100;
    int person_x2 = 100;
	int person_y = -100;
	int current_precip = NONE;

	GP142_rectangleXY(BLACK,
		GP142_XMAX,
		-GP142_YMAX,
		-GP142_XMAX,
		GP142_YMAX, FILL);

	  GP142_circleXY(WHITE, -50, 123 , 1);
	  GP142_circleXY(WHITE, -150, 180 , 1);
	  GP142_circleXY(WHITE, -123, 176 , 1);
	  GP142_circleXY(WHITE, -5, 200 , 1);
	  GP142_circleXY(WHITE, -236, 243 , 1);
	  GP142_circleXY(WHITE, 50, 132 , 1);
	  GP142_circleXY(WHITE, 123, 222 , 1);
	  GP142_circleXY(WHITE, 200, 173 , 1);
	  GP142_circleXY(WHITE, 0, 140 , 1);
	  GP142_circleXY(WHITE, 10, 100 , 1);
	  GP142_circleXY(WHITE, 78, 203 , 1);
	  GP142_circleXY(WHITE, 220, 123 , 1);

  GP142_rectangleXY(BROWN, -GP142_XMAX, -GP142_YMAX,
		    GP142_XMAX, TOP_OF_DIRT, FILL);
      
  /*Draw the mountains */
  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

  GP142_triangleXY(WHITE,
		   -75, 125,
		   80, 123,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

   GP142_triangleXY(WHITE,
		   -75, 125,
		   -30, 103,
		   10, 130,
		   FILL);

   GP142_triangleXY(WHITE,
		   23, 114,
		   80, 123,
		   -10, 130,
		   FILL);

  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (GP142_YMAX)/2,
		   FILL);

  GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

 
   GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -120, (2 * GP142_YMAX)/4,
		   FILL);
   
   GP142_triangleXY(OLIVE,
		   -GP142_XMAX, 20,
		   20, TOP_OF_DIRT,
		   -270, (5 * GP142_YMAX)/10,
		   FILL);

    GP142_triangleXY(WHITE,
		   -255, 114,
		   -160, 114,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

	GP142_triangleXY(WHITE,
		   -225, 114,
		   -195, 105,
		   -180, 120,
		   FILL);

  GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, (2 * GP142_YMAX)/3 ,
		   FILL);

    GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (2 * GP142_YMAX)/6 ,
		   FILL);

	x = 20;
	y = -100; 
	count = 0;
	count2 = 0;
	a = 90;
	b = -28;
	
	/* houses */
	while (count <= 8)
	{
		
		count++;
		a = a + b;
		b = (b - a);
	
		if ((b + (y - 55)) < (-GP142_YMAX))
		{
			a = b;
			b = (count2 * (count2 - count));
		}
	
		if (b > 60)
		{
			a = b;
			b = (count2 * (count2 - count));
		}

			while (count2 <= 3)
			{

				count2++;
				a = (count2 * (count + count2)) + (a + b);
				b = (count * (count - count2)) + (b - a);
				
				
				if ((b + (y - 55)) < (-GP142_YMAX))
				{
					a = b;
					b = (count2 * (count2 - count));
				}
				
				if (b > 55)
				{
					a = b;
					b = count2 - count;
					
				}
						
				DrawHouse(a, b, x, y);
	
			}
		
		DrawHouse(a, b, x, y);
	
	}

   /*Trees!  Gotta have a forest. . . 	*/

	
	DrawTree(-100, 4, x, y);
	DrawTree(-150, -10, x, y);
	DrawTree(-134, -34, x, y);
	DrawTree(50, -2, x, y);
	DrawTree(23, 17, x, y);
	DrawTree(-45, -15, x, y);	/*  I could have written a loop but I wanted     */
	DrawTree(-220, -45, x, y);	/*	to place my trees around my houses, and to   */
	DrawTree(-190, 10, x, y);	/*	write a loop to do that would have been more */
	DrawTree(100, 40, x, y);	/*	trouble than it was worth! :o)			     */
	DrawTree(90, -60, x, y);
	DrawTree(-200, -80, x, y);
	DrawTree(170, -10, x, y);

	/* PEOPLE!  AT LAST, the disciples of Martin Dickey. . .  .*/
		
	DrawPerson(person_x, person_y, 0, 0, 0);
	DrawPerson(person_x-250, person_y-80, 0, 0, 0);
	DrawPerson(person_x+40, person_y-20, 0, 0, 0);
	DrawPerson(person_x-150, person_y+10, 0, 0, 0);
	DrawPerson(person_x2-50, person_y-40, 0, 0, 0);
	DrawPerson(person_x2+50, person_y-80, 0, 0, 0);
	DrawPerson(person_x2+100, person_y-70, 0, 0, 0);
	DrawPerson(person_x2-80, person_y+10, 0, 0, 0);
	DrawPerson(person_x, person_y-10, 0, 0, 0);
	DrawPerson(person_x-220, person_y-35, 0, 0, 0);
	DrawPerson(person_x+20, person_y-12, 0, 0, 0);
	DrawPerson(person_x-70, person_y+4, 0, 0, 0);
	DrawPerson(person_x2-90, person_y-50, 0, 0, 0);
	DrawPerson(person_x2+30, person_y-75, 0, 0, 0);
	DrawPerson(person_x2+110, person_y-66, 0, 0, 0);
	DrawPerson(person_x2-30, person_y+7, 0, 0, 0);

GP142_printfXY(CYAN, -230, 200, 18, "On the next day, the God looked around.  Something still lacked. . .");
GP142_printfXY(CYAN, -100, -200, 18, "And so Mortals were created.");

}

void Opener10(void){

	int x,y,a,b,count,count2;
	int person_x = 100;
    int person_x2 = 100;
	int person_y = -100;
	int current_precip = NONE;

	GP142_rectangleXY(BLACK,
		GP142_XMAX,
		-GP142_YMAX,
		-GP142_XMAX,
		GP142_YMAX, FILL);

	  GP142_circleXY(WHITE, -50, 123 , 1);
	  GP142_circleXY(WHITE, -150, 180 , 1);
	  GP142_circleXY(WHITE, -123, 176 , 1);
	  GP142_circleXY(WHITE, -5, 200 , 1);
	  GP142_circleXY(WHITE, -236, 243 , 1);
	  GP142_circleXY(WHITE, 50, 132 , 1);
	  GP142_circleXY(WHITE, 123, 222 , 1);
	  GP142_circleXY(WHITE, 200, 173 , 1);
	  GP142_circleXY(WHITE, 0, 140 , 1);
	  GP142_circleXY(WHITE, 10, 100 , 1);
	  GP142_circleXY(WHITE, 78, 203 , 1);
	  GP142_circleXY(WHITE, 220, 123 , 1);

  GP142_rectangleXY(BROWN, -GP142_XMAX, -GP142_YMAX,
		    GP142_XMAX, TOP_OF_DIRT, FILL);
      
  /*Draw the mountains */
  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

  GP142_triangleXY(WHITE,
		   -75, 125,
		   80, 123,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

   GP142_triangleXY(WHITE,
		   -75, 125,
		   -30, 103,
		   10, 130,
		   FILL);

   GP142_triangleXY(WHITE,
		   23, 114,
		   80, 123,
		   -10, 130,
		   FILL);

  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (GP142_YMAX)/2,
		   FILL);

  GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

 
   GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -120, (2 * GP142_YMAX)/4,
		   FILL);
   
   GP142_triangleXY(OLIVE,
		   -GP142_XMAX, 20,
		   20, TOP_OF_DIRT,
		   -270, (5 * GP142_YMAX)/10,
		   FILL);

    GP142_triangleXY(WHITE,
		   -255, 114,
		   -160, 114,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

	GP142_triangleXY(WHITE,
		   -225, 114,
		   -195, 105,
		   -180, 120,
		   FILL);

  GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, (2 * GP142_YMAX)/3 ,
		   FILL);

    GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (2 * GP142_YMAX)/6 ,
		   FILL);

	x = 20;
	y = -100; 
	count = 0;
	count2 = 0;
	a = 90;
	b = -28;
	
	/* houses */
	while (count <= 8)
	{
		
		count++;
		a = a + b;
		b = (b - a);
	
		if ((b + (y - 55)) < (-GP142_YMAX))
		{
			a = b;
			b = (count2 * (count2 - count));
		}
	
		if (b > 60)
		{
			a = b;
			b = (count2 * (count2 - count));
		}

			while (count2 <= 3)
			{

				count2++;
				a = (count2 * (count + count2)) + (a + b);
				b = (count * (count - count2)) + (b - a);
				
				
				if ((b + (y - 55)) < (-GP142_YMAX))
				{
					a = b;
					b = (count2 * (count2 - count));
				}
				
				if (b > 55)
				{
					a = b;
					b = count2 - count;
					
				}
						
				DrawHouse(a, b, x, y);
	
			}
		
		DrawHouse(a, b, x, y);
	
	}

   /*Trees!  Gotta have a forest. . . 	*/

	
	DrawTree(-100, 4, x, y);
	DrawTree(-150, -10, x, y);
	DrawTree(-134, -34, x, y);
	DrawTree(50, -2, x, y);
	DrawTree(23, 17, x, y);
	DrawTree(-45, -15, x, y);	/*  I could have written a loop but I wanted     */
	DrawTree(-220, -45, x, y);	/*	to place my trees around my houses, and to   */
	DrawTree(-190, 10, x, y);	/*	write a loop to do that would have been more */
	DrawTree(100, 40, x, y);	/*	trouble than it was worth! :o)			     */
	DrawTree(90, -60, x, y);
	DrawTree(-200, -80, x, y);
	DrawTree(170, -10, x, y);

	/* PEOPLE!  AT LAST, the disciples of Martin Dickey. . .  .*/
		
	DrawPerson(person_x, person_y, 0, 0, 0);
	DrawPerson(person_x-250, person_y-80, 0, 0, 0);
	DrawPerson(person_x+40, person_y-20, 0, 0, 0);
	DrawPerson(person_x-150, person_y+10, 0, 0, 0);
	DrawPerson(person_x2-50, person_y-40, 0, 0, 0);
	DrawPerson(person_x2+50, person_y-80, 0, 0, 0);
	DrawPerson(person_x2+100, person_y-70, 0, 0, 0);
	DrawPerson(person_x2-80, person_y+10, 0, 0, 0);
	DrawPerson(person_x, person_y-10, 0, 0, 0);
	DrawPerson(person_x-220, person_y-35, 0, 0, 0);
	DrawPerson(person_x+20, person_y-12, 0, 0, 0);
	DrawPerson(person_x-70, person_y+4, 0, 0, 0);
	DrawPerson(person_x2-90, person_y-50, 0, 0, 0);
	DrawPerson(person_x2+30, person_y-75, 0, 0, 0);
	DrawPerson(person_x2+110, person_y-66, 0, 0, 0);
	DrawPerson(person_x2-30, person_y+7, 0, 0, 0);

GP142_printfXY(CYAN, -230, 200, 18, "Now you can share the power of the God Dickey. . .");

}

void Opener11(void){

	int x,y,a,b,count,count2;
	int person_x = 100;
    int person_x2 = 100;
	int person_y = -100;
	int current_precip = NONE;

	GP142_rectangleXY(BLACK,
		GP142_XMAX,
		-GP142_YMAX,
		-GP142_XMAX,
		GP142_YMAX, FILL);

	  GP142_circleXY(WHITE, -50, 123 , 1);
	  GP142_circleXY(WHITE, -150, 180 , 1);
	  GP142_circleXY(WHITE, -123, 176 , 1);
	  GP142_circleXY(WHITE, -5, 200 , 1);
	  GP142_circleXY(WHITE, -236, 243 , 1);
	  GP142_circleXY(WHITE, 50, 132 , 1);
	  GP142_circleXY(WHITE, 123, 222 , 1);
	  GP142_circleXY(WHITE, 200, 173 , 1);
	  GP142_circleXY(WHITE, 0, 140 , 1);
	  GP142_circleXY(WHITE, 10, 100 , 1);
	  GP142_circleXY(WHITE, 78, 203 , 1);
	  GP142_circleXY(WHITE, 220, 123 , 1);

  GP142_rectangleXY(BROWN, -GP142_XMAX, -GP142_YMAX,
		    GP142_XMAX, TOP_OF_DIRT, FILL);
      
  /*Draw the mountains */
  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

  GP142_triangleXY(WHITE,
		   -75, 125,
		   80, 123,
		   0, (4 * GP142_YMAX)/5 ,
		   FILL);

   GP142_triangleXY(WHITE,
		   -75, 125,
		   -30, 103,
		   10, 130,
		   FILL);

   GP142_triangleXY(WHITE,
		   23, 114,
		   80, 123,
		   -10, 130,
		   FILL);

  GP142_triangleXY(MED_GRAY,
		   -GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (GP142_YMAX)/2,
		   FILL);

  GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

 
   GP142_triangleXY(OLIVE,
		   -( 5 * GP142_XMAX/4), TOP_OF_DIRT,
		   (GP142_XMAX)/3  , TOP_OF_DIRT,
		   -120, (2 * GP142_YMAX)/4,
		   FILL);
   
   GP142_triangleXY(OLIVE,
		   -GP142_XMAX, 20,
		   20, TOP_OF_DIRT,
		   -270, (5 * GP142_YMAX)/10,
		   FILL);

    GP142_triangleXY(WHITE,
		   -255, 114,
		   -160, 114,
		   -(3* GP142_XMAX)/4, (2 * GP142_YMAX)/3 ,
		   FILL);

	GP142_triangleXY(WHITE,
		   -225, 114,
		   -195, 105,
		   -180, 120,
		   FILL);

  GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   GP142_XMAX, (2 * GP142_YMAX)/3 ,
		   FILL);

    GP142_triangleXY(FOREST_GREEN,
		   -GP142_XMAX / 3 , TOP_OF_DIRT,
		   GP142_XMAX, TOP_OF_DIRT,
		   100, (2 * GP142_YMAX)/6 ,
		   FILL);

	x = 20;
	y = -100; 
	count = 0;
	count2 = 0;
	a = 90;
	b = -28;
	
	/* houses */
	while (count <= 8)
	{
		
		count++;
		a = a + b;
		b = (b - a);
	
		if ((b + (y - 55)) < (-GP142_YMAX))
		{
			a = b;
			b = (count2 * (count2 - count));
		}
	
		if (b > 60)
		{
			a = b;
			b = (count2 * (count2 - count));
		}

			while (count2 <= 3)
			{

				count2++;
				a = (count2 * (count + count2)) + (a + b);
				b = (count * (count - count2)) + (b - a);
				
				
				if ((b + (y - 55)) < (-GP142_YMAX))
				{
					a = b;
					b = (count2 * (count2 - count));
				}
				
				if (b > 55)
				{
					a = b;
					b = count2 - count;
					
				}
						
				DrawHouse(a, b, x, y);
	
			}
		
		DrawHouse(a, b, x, y);
	
	}

   /*Trees!  Gotta have a forest. . . 	*/

	
	DrawTree(-100, 4, x, y);
	DrawTree(-150, -10, x, y);
	DrawTree(-134, -34, x, y);
	DrawTree(50, -2, x, y);
	DrawTree(23, 17, x, y);
	DrawTree(-45, -15, x, y);	/*  I could have written a loop but I wanted     */
	DrawTree(-220, -45, x, y);	/*	to place my trees around my houses, and to   */
	DrawTree(-190, 10, x, y);	/*	write a loop to do that would have been more */
	DrawTree(100, 40, x, y);	/*	trouble than it was worth! :o)			     */
	DrawTree(90, -60, x, y);
	DrawTree(-200, -80, x, y);
	DrawTree(170, -10, x, y);

	/* PEOPLE!  AT LAST, the disciples of Martin Dickey. . .  .*/
		
	DrawPerson(person_x, person_y, 0, 0, 0);
	DrawPerson(person_x-250, person_y-80, 0, 0, 0);
	DrawPerson(person_x+40, person_y-20, 0, 0, 0);
	DrawPerson(person_x-150, person_y+10, 0, 0, 0);
	DrawPerson(person_x2-50, person_y-40, 0, 0, 0);
	DrawPerson(person_x2+50, person_y-80, 0, 0, 0);
	DrawPerson(person_x2+100, person_y-70, 0, 0, 0);
	DrawPerson(person_x2-80, person_y+10, 0, 0, 0);
	DrawPerson(person_x, person_y-10, 0, 0, 0);
	DrawPerson(person_x-220, person_y-35, 0, 0, 0);
	DrawPerson(person_x+20, person_y-12, 0, 0, 0);
	DrawPerson(person_x-70, person_y+4, 0, 0, 0);
	DrawPerson(person_x2-90, person_y-50, 0, 0, 0);
	DrawPerson(person_x2+30, person_y-75, 0, 0, 0);
	DrawPerson(person_x2+110, person_y-66, 0, 0, 0);
	DrawPerson(person_x2-30, person_y+7, 0, 0, 0);



	/*The following draws two pillars, one on each side. . . 1st the right: */
	GP142_rectangleXY(LT_GRAY,
		GP142_XMAX - 55, -GP142_YMAX,
		GP142_XMAX, -GP142_YMAX + 15, FILL);
	GP142_rectangleXY(LT_GRAY,
		GP142_XMAX - 45, -GP142_YMAX+15,
		GP142_XMAX, -GP142_YMAX + 30, FILL);
	GP142_rectangleXY(LT_GRAY,
		GP142_XMAX - 35, -GP142_YMAX+30,
		GP142_XMAX, -GP142_YMAX + 40, FILL);
	GP142_rectangleXY(LT_GRAY,
		GP142_XMAX - 30, -GP142_YMAX+40,
		GP142_XMAX, -GP142_YMAX + 45, FILL);

	GP142_rectangleXY(MED_GRAY,
		GP142_XMAX - 55, -GP142_YMAX,
		GP142_XMAX, -GP142_YMAX + 15, 2);
	GP142_rectangleXY(MED_GRAY,
		GP142_XMAX - 45, -GP142_YMAX+15,
		GP142_XMAX, -GP142_YMAX + 30, 2);
	GP142_rectangleXY(MED_GRAY,
		GP142_XMAX - 35, -GP142_YMAX+30,
		GP142_XMAX, -GP142_YMAX + 40, 2);
	GP142_rectangleXY(MED_GRAY,
		GP142_XMAX - 30, -GP142_YMAX+40,
		GP142_XMAX, -GP142_YMAX + 45, 2);

	GP142_rectangleXY(LT_GRAY,
		GP142_XMAX - 25, GP142_YMAX-40,
		GP142_XMAX, -GP142_YMAX + 45, FILL);
	GP142_rectangleXY(MED_GRAY,
		GP142_XMAX - 25, GP142_YMAX-40,
		GP142_XMAX, -GP142_YMAX + 45, 2);
	GP142_rectangleXY(MED_GRAY,
		GP142_XMAX - 15, GP142_YMAX-40,
		GP142_XMAX- 5, -GP142_YMAX + 45, 2);

	GP142_rectangleXY(LT_GRAY,
		GP142_XMAX - 55, GP142_YMAX,
		GP142_XMAX, GP142_YMAX - 15, FILL);
	GP142_rectangleXY(LT_GRAY,
		GP142_XMAX - 45, GP142_YMAX-15,
		GP142_XMAX, GP142_YMAX - 30, FILL);
	GP142_rectangleXY(LT_GRAY,
		GP142_XMAX - 35, GP142_YMAX-30,
		GP142_XMAX, GP142_YMAX - 40, FILL);
	GP142_rectangleXY(LT_GRAY,
		GP142_XMAX - 30, GP142_YMAX-40,
		GP142_XMAX, GP142_YMAX - 45, FILL);

	GP142_rectangleXY(MED_GRAY,
		GP142_XMAX - 55, GP142_YMAX,
		GP142_XMAX, GP142_YMAX - 15, 2);
	GP142_rectangleXY(MED_GRAY,
		GP142_XMAX - 45, GP142_YMAX-15,
		GP142_XMAX, GP142_YMAX - 30, 2);
	GP142_rectangleXY(MED_GRAY,
		GP142_XMAX - 35, GP142_YMAX-30,
		GP142_XMAX, GP142_YMAX - 40, 2);
	GP142_rectangleXY(MED_GRAY,
		GP142_XMAX - 30, GP142_YMAX-40,
		GP142_XMAX, GP142_YMAX - 45, 2);

	/*Now the left one. . .*/
	
	GP142_rectangleXY(LT_GRAY,
		-GP142_XMAX + 55, -GP142_YMAX,
		-GP142_XMAX, -GP142_YMAX + 15, FILL);
	GP142_rectangleXY(LT_GRAY,
		-GP142_XMAX + 45, -GP142_YMAX+15,
		-GP142_XMAX, -GP142_YMAX + 30, FILL);
	GP142_rectangleXY(LT_GRAY,
		-GP142_XMAX + 35, -GP142_YMAX+30,
		-GP142_XMAX, -GP142_YMAX + 40, FILL);
	GP142_rectangleXY(LT_GRAY,
		-GP142_XMAX + 30, -GP142_YMAX+40,
		-GP142_XMAX, -GP142_YMAX + 45, FILL);

	GP142_rectangleXY(MED_GRAY,
		-GP142_XMAX + 55, -GP142_YMAX,
		-GP142_XMAX, -GP142_YMAX + 15, 2);
	GP142_rectangleXY(MED_GRAY,
		-GP142_XMAX + 45, -GP142_YMAX+15,
		-GP142_XMAX, -GP142_YMAX + 30, 2);
	GP142_rectangleXY(MED_GRAY,
		-GP142_XMAX + 35, -GP142_YMAX+30,
		-GP142_XMAX, -GP142_YMAX + 40, 2);
	GP142_rectangleXY(MED_GRAY,
		-GP142_XMAX + 30, -GP142_YMAX+40,
		-GP142_XMAX, -GP142_YMAX + 45, 2);

	GP142_rectangleXY(LT_GRAY,
		-GP142_XMAX + 25, GP142_YMAX-40,
		-GP142_XMAX, -GP142_YMAX + 45, FILL);
	GP142_rectangleXY(MED_GRAY,
		-GP142_XMAX + 25, GP142_YMAX-40,
		-GP142_XMAX, -GP142_YMAX + 45, 2);
	GP142_rectangleXY(MED_GRAY,
		-GP142_XMAX + 15, GP142_YMAX-40,
		-GP142_XMAX+ 5, -GP142_YMAX + 45, 2);

	GP142_rectangleXY(LT_GRAY,
		-GP142_XMAX + 55, GP142_YMAX,
		-GP142_XMAX, GP142_YMAX - 15, FILL);
	GP142_rectangleXY(LT_GRAY,
		-GP142_XMAX + 45, GP142_YMAX-15,
		-GP142_XMAX, GP142_YMAX - 30, FILL);
	GP142_rectangleXY(LT_GRAY,
		-GP142_XMAX + 35, GP142_YMAX-30,
		-GP142_XMAX, GP142_YMAX - 40, FILL);
	GP142_rectangleXY(LT_GRAY,
		-GP142_XMAX + 30, GP142_YMAX-40,
		-GP142_XMAX, GP142_YMAX - 45, FILL);

	GP142_rectangleXY(MED_GRAY,
		-GP142_XMAX + 55, GP142_YMAX,
		-GP142_XMAX, GP142_YMAX - 15, 2);
	GP142_rectangleXY(MED_GRAY,
		-GP142_XMAX + 45, GP142_YMAX-15,
		-GP142_XMAX, GP142_YMAX - 30, 2);
	GP142_rectangleXY(MED_GRAY,
		-GP142_XMAX + 35, GP142_YMAX-30,
		-GP142_XMAX, GP142_YMAX - 40, 2);
	GP142_rectangleXY(MED_GRAY,
		-GP142_XMAX + 30, GP142_YMAX-40,
		-GP142_XMAX, GP142_YMAX - 45, 2);


GP142_printfXY(YELLOW, -220, 100, 150, "S");
GP142_printfXY(RED, -217, 97, 150, "S");
GP142_printfXY(YELLOW, -150, 120, 100, "im"); /*Title Lettering */
GP142_printfXY(RED, -148, 118, 100, "im");

GP142_printfXY(YELLOW, -40, 100, 150, "D");
GP142_printfXY(RED, -37, 97, 150, "D");
GP142_printfXY(YELLOW, 50, 120, 100, "iety");
GP142_printfXY(RED, 52, 118, 100, "iety");

GP142_printfXY(CYAN, -210, 20, 20, "The game where you play a god.  Watch out, Puny Mortals!");
GP142_printfXY(BLACK, -210, -20, 14, "To Play:  In this sim you have several mortals to abuse. Their happiness is");
GP142_printfXY(BLACK, -210, -40, 14, "indicated by the 'Mortal Mood' meter in the lower right. For example, the");
GP142_printfXY(BLACK, -210, -60, 14, "people may like rain, but not a lot of it.  They may be scared of the dark,");
GP142_printfXY(BLACK, -210, -80, 14, "etc.  Select a color and precipitation type from the menu and click on the");
GP142_printfXY(BLACK, -210, -100, 14, "screen to distribute it.  Click to start, and enjoy!");

GP142_printfXY(BLUE, -209, -21, 14, "To Play:  In this sim you have several mortals to abuse. Their happiness is");
GP142_printfXY(BLUE, -209, -41, 14, "indicated by the 'Mortal Mood' meter in the lower right. For example, the");
GP142_printfXY(BLUE, -209, -61, 14, "people may like rain, but not a lot of it.  They may be scared of the dark,");
GP142_printfXY(BLUE, -209, -81, 14, "etc.  Select a color and precipitation type from the menu and click on the");
GP142_printfXY(BLUE, -209, -101, 14, "screen to distribute it.  Click to start, and enjoy!");


GP142_printfXY(FOREST_GREEN, -170, -210, 12, "Programmed using GP142 by Steve Martin, CSE/ENGR 142, Autumn 1998");
GP142_printfXY(GREEN, -171, -211, 12, "Programmed using GP142 by Steve Martin, CSE/ENGR 142, Autumn 1998");


}
/* Thats it!  I hope you liked it. . . . */